/payments/requests/{id}Update
Updates the payment request resource
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Request Body
requiredRequest with information to update a payment request
Requested amount
Payment description
Redirect urls after the payment was completed or ended in error status
Url to be redirected after the payment was completed
Url to be redirected when the payment is pending (for example, when it has status WAITING_PAYER_AUTHORIZATION
Url to be redirected after the payment ended in error status
Payment receiver identifier
Customer identifier associated to the payment
Your payment identifier
Indicates if this payment request should be updated as sandbox. Default: false.
Default: false
Example
{
"amount": 100.5,
"description": "Transferência",
"callbackUrls": null,
"recipientId": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"customerId": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"clientPaymentId": "external-ref-456",
"isSandbox": false
}Responses
Request with information to create a payment request
Requested amount
Payment description
Redirect urls after the payment was completed or ended in error status
Url to be redirected after the payment was completed
Url to be redirected when the payment is pending (for example, when it has status WAITING_PAYER_AUTHORIZATION
Url to be redirected after the payment ended in error status
Payment receiver identifier
Customer identifier associated to the payment
Your payment identifier
Default: null
Schedule attribute to generate a single payment on a specific future date.
Schedule attribute to generate daily payments starting from `startDate`.
Schedule attribute to generate weekly payments on a specific day of the week.
Schedule attribute to generate monthly payments on a specific day of the month.
Schedule attribute to generate payments on an explicit list of dates.
Indicates if this payment request should be created in sandbox mode. Default: false.
Default: false
Example response
{
"amount": 100.5,
"description": "Transferência",
"isSandbox": false
}Code Examples
curl -X PATCH 'https://api.pluggy.ai/payments/requests/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'